AppdefUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefUtil

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefUtil

    public class AppdefUtil

extends java.lang.Object

AppdefUtil - utility methods for appdef entities and brethren. desmond

Method Summary
`static java.lang.String` | `appdefTypeIdToAuthzTypeStr(int adTypeId)` Translate appdefTypeId to authz resource type string.
`static boolean` | `areRuntimeScansEnabled(Server server)` Runtime scans are supported servers that were not autodiscovered themselves, as well as servers that were autodiscovered but whose services are not automanaged (if they were, it would mean that the server that autodiscovered them is managing its services, so runtime scans should not be run for this server).
`static java.util.Map` | `groupByAppdefType(AppdefEntityID[] ids)`
`static int` | `resNameToAppdefTypeId(java.lang.String resName)` Transform an authz resource type name into an appdef type id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### appdefTypeIdToAuthzTypeStr

    public static java.lang.String appdefTypeIdToAuthzTypeStr(int adTypeId)
                                                       throws InvalidAppdefTypeException

  Translate appdefTypeId to authz resource type string.

  Parameters:
    `appdef` - type id
  Returns:
    authz resource type string
  Throws:
    `InvalidAppdefTypeException`

### resNameToAppdefTypeId

    public static int resNameToAppdefTypeId(java.lang.String resName)
                                     throws InvalidAppdefTypeException

  Transform an authz resource type name into an appdef type id.

  Parameters:
    `authz` - resource name
  Returns:
    AppdefEntity type id
  Throws:
    `InvalidAppdefTypeException`

### areRuntimeScansEnabled

    public static boolean areRuntimeScansEnabled(Server server)

  Runtime scans are supported servers that were not autodiscovered themselves, as well as servers that were autodiscovered but whose services are not automanaged (if they were, it would mean that the server that autodiscovered them is managing its services, so runtime scans should not be run for this server).

  Returns:
    true if runtime scans could possibly be enabled for the server, false otherwise.

### groupByAppdefType

    public static java.util.Map groupByAppdefType(AppdefEntityID[] ids)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.